// SPDX-License-Identifier: GPL-3.0-or-later

/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
*
* Copyright (C) 2013 - 2024, nymea GmbH
* Copyright (C) 2024 - 2025, chargebyte austria GmbH
*
* This file is part of nymea-energy-plugin-nymea.
*
* nymea-energy-plugin-nymea.s free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* nymea-energy-plugin-nymea.s distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with nymea-energy-plugin-nymea. If not, see <https://www.gnu.org/licenses/>.
*
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

#include <QSignalSpy>
#include <QtTest>

#include "../common/energytestbase.h"

class TestSpotmarket: public EnergyTestBase
{
    Q_OBJECT
public:
    explicit TestSpotmarket(QObject *parent = nullptr);

private slots:
    void getAvailableProviders();

    void getSpotmarketEntriesAndChargingSchedules();
    void clearChargingSchedulesWhenTargetPercentageReached();

    void addCharingInfo_data();
    void addCharingInfo();

    void setConfiguration_data();
    void setConfiguration();

    void testMockProvider_data();
    void testMockProvider();

    void testTimeFrameFusing_data();
    void testTimeFrameFusing();

    void testScheduleTime_data();
    void testScheduleTime();

};
